
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PowerSupply Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.PowerSupply</h1><h2>Description</h2>
<p>This interface provides access to a power supply device.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.PowerSupply</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetCapacity">GetCapacity</a></li>
<li><a href="#GetPowerStatus">GetPowerStatus</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#PowerStatus">PowerStatus</a></li>
<li><a href="#Capacity">Capacity</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetCapacity">GetCapacity</a> ( ) &rarr; i</h3>
<p><i>Description:</i> Retrieve the capacity of this power supply. </p><p><div class="rationale"><p>A wall power supply will always return 100. </p></div></p><h4>Returns</h4><i>i: energy</i><p>The capacity in percent (0-100). </p>
<h3><a name="GetPowerStatus">GetPowerStatus</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Retrieve the power status for this power supply. </p><p><div class="rationale"><p>A wall power supply will always return "full". </p></div></p><h4>Returns</h4><i>s: status</i><p>The power status. Expected values for a battery are:  <ul>  <li>"charging"</li>  <li>"discharging"</li>  <li>"full"</li>  <li>"empty"</li>  <li>"critical"</li>  <li>"removed"</li>  <li>"unknown"</li>  </ul>  Additional values for an ac adapter are:  <ul>  <li>"online"</li>  <li>"offline"</li>  </ul>  Additional values for an aggregated supply are:  <ul>  <li>"ac"</li>  </ul> </p>
<h1>Signals</h1><h3><h3><a name="PowerStatus">PowerStatus</a> ( s )</h3><p><i>Description:</i> Sent, when the power status changes significantly. </p><h4>Parameters</h4><i>s: status</i><p>The power status. See <a href="http://docs.freesmartphone.org/org.freesmartphone.PowerSupply.html#GetPowerStatus">GetPowerStatus</a> for a list of expected values. </p></h3>
<h3><h3><a name="Capacity">Capacity</a> ( i )</h3><p><i>Description:</i> Sent, when the capacity changes. </p><h4>Parameters</h4><i>i: energy</i><p>The capacity in percent (0-100). </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

